Account ID is a unique identifier for an account on TMDB. It is required to add movies to favorites, wachlist, and perform other actions using the API.Documentation Index
Fetch the complete documentation index at: https://emiloju.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
How to get an Account ID
There are two ways to get an Account ID. You can either get an Account ID directly as an application, or on behalf of a TMDB user in your app.As an application
Get your application’sapi_key and access_token, then send a GET request to Get account details to retrieve your Account ID from the response object.
Below is an example:
Example
On behalf of a TMDB user
Follow the steps below to retrieve the Account ID for a TMDB user within your app:Generate a `session_id`
Generate a unique
session_id for the user. See how to generate a session_id hereGet account details (including the ID)
Send a
GET request to the Get account details endpoint and add the
session_id as a query parameter. Here is an example below:Example
id. Below is an example:
Example response
